The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP script requiring zend

Discussion in 'General Discussion' started by zionprophet, Nov 8, 2005.

  1. zionprophet

    zionprophet Registered

    Joined:
    Nov 8, 2005
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    I tried installing a shopping cart which requires Zend Optimiser on my server.

    I did find the posts concerning this problem with the new downloads from zend and I followed the instructions in them.
    The zend appeared to load up fine, however when I wnt back to the script I get the following error from my browser:
    I asked my server company to if they could advise if I installed the correct version of Zend, advising them of the three options which Zend gave for Unix, which were:
    - Linux glibc 2.1 4.0.5 or later
    - Linux glibc 2.3 PPC64 4.0.5
    - Linux x86 64 ICC

    I installed the first option.

    My server company replied as follows:
    The browser fatal error is pointing to a whole script which is zend encoded. To me it seems like a problem with either the zend installation or the version.

    Have I installed the correct version ?
    Can I roll back the installation, and if so how ?

    Im not too sure whether this is a Zend problem, or a problem with the actual script !!
     
  2. rpmws

    rpmws Well-Known Member

    Joined:
    Aug 14, 2001
    Messages:
    1,824
    Likes Received:
    5
    Trophy Points:
    38
    Location:
    back woods of NC, USA
    have you tried:

    /scripts/installzendopt ??
     
  3. zionprophet

    zionprophet Registered

    Joined:
    Nov 8, 2005
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    The scripts installzend function apparently no longer works, due to changes made by Zend about how people utilise their software. That was what my comment about having seen the other posts concerning Zend was about. People had posted some write-arounds to get round the old installzendopt command.

    The install went fine using one of the writeups which Chirpy had posted:
    That worked great.

    My dilemma is whether the correct version has been installed.
    And/or, can I do a rollback, and if so, how ?
     
  4. zionprophet

    zionprophet Registered

    Joined:
    Nov 8, 2005
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Problem solved.

    The zend installation and everything else was fine !

    I found the problem. I neglected to upload the Zend Optimised files in BINARY MODE!

    :eek:

    :rolleyes:

    who's a silly boy then!
     
Loading...

Share This Page